org.h2gis.functions.io.gpx

## Class GPXRead

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.gpx.GPXRead

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class GPXRead
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

SQL Function to copy GPX File data into a Table.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`GPXRead()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static void` `readGPX(Connection connection, String fileName)` Copy data from GPX File into a new table in specified connection.
`static void` `readGPX(Connection connection, String fileName, String tableReference)` Copy data from GPX File into a new table in specified connection.
`static void` `readGPX(Connection connection, String fileName, String tableReference, boolean deleteTables)` Copy data from GPX File into a new table in specified connection.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### GPXRead

    public GPXRead()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### readGPX

    public static void readGPX(Connection connection,
                               String fileName,
                               String tableReference,
                               boolean deleteTables)
                        throws IOException,
                               SQLException

Copy data from GPX File into a new table in specified connection.

Parameters:
  `connection` - Active connection
  `tableReference` - [[catalog.]schema.]table reference
  `fileName` - File path of the SHP file
  `deleteTables` - true to delete the existing tables
Throws:
  `IOException`
  `SQLException`

#### readGPX

    public static void readGPX(Connection connection,
                               String fileName,
                               String tableReference)
                        throws IOException,
                               SQLException

Copy data from GPX File into a new table in specified connection.

Parameters:
  `connection` - Active connection
  `tableReference` - [[catalog.]schema.]table reference
  `fileName` - File path of the SHP file
Throws:
  `IOException`
  `SQLException`

#### readGPX

    public static void readGPX(Connection connection,
                               String fileName)
                        throws IOException,
                               SQLException

Copy data from GPX File into a new table in specified connection.

Parameters:
  `connection` -
  `fileName` -
Throws:
  `IOException`
  `SQLException`